/*--------------------------------------------------------------------------*
 *  jquery.footerFixed-modified.js by Ida(2016/12)
 *
 *  original
 *  jQuery.footerFixed.js
 *  
 *  MIT-style license. 
 *  
 *  ported by @ginlime
 *  https://gist.github.com/ginlime
 *  
 *  original written by:
 *  2007 Kazuma Nishihata [to-R]
 *  http://blog.webcreativepark.net
 *  
 *--------------------------------------------------------------------------*/

(function($){
	var mainId = "all";/////
	var footerId = 'footer';
	var colClass="col";
	
    // 文字サイズ
    var checkFontSize = function(func){
        // 判定要素の追加
        $('body').append($('<div></div>').attr('id','ff-node-temp').css({'position':'absolute','top':'0','visibility':'hidden'}).text('S'));
        var defHeight = $('#ff-node-temp').prop('offsetHeight');
        // 判定関数
        var checkBoxSize = function(){
            if(defHeight != $('#ff-node-temp').prop('offsetHeight')){
                func();
                defHeight = $('#ff-node-temp').prop('offsetHeight');
            }
        };
        setInterval(checkBoxSize, 1000);
    };
	
    var footerFixed = function(){
        // ドキュメントの高さ
        var dh = $('body').prop('clientHeight');
        // フッターのtopからの位置
        $('#'+footerId).css('top','0');
        var ft = $('#'+footerId).prop('offsetTop');
        // フッターの高さ
        var fh = $('#'+footerId).prop('offsetHeight');
        
        // メインの高さ
        var mt = $('#'+mainId).prop('offsetTop');/////
        
        //// ウィンドウの高さ
        var wh = $(window).prop('innerHeight');
        if(ft+fh<wh){
        
            ////bodyのmargin-bottom
            var bmb=$('body').css('margin-bottom')///////
            bmb=bmb.replace('px', '');//////
        
            $('#'+mainId).css({'height':(wh-fh-mt-bmb)+'px'});/////
            ////$('#'+footerId).css({'position':'relative','top':(wh-fh-ft-1)+'px'});
			
			///mainの子div要素を100%の高さに
			
			$('.'+colClass).each(function(){
				$(this).css({'min-height':'100%'});
			});
        }
    };
    
	$(window).on('load',function(e){checkFontSize(footerFixed)});
    $(window).on('load resize',function(e){footerFixed()});
    
    
})(jQuery);
